Arch: Carpenteria

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Frame and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Nest.svg Nido Pagina precedente:
Pagina successiva: Recinzione Arch Fence.svg Arrow-right.svg

Arch Frame.svg Carpenteria

Posizione nel menu
Arch → Carpenteria
Ambiente
Arch
Avvio veloce
F R
Introdotto nella versione
-
Vedere anche
Parete, Struttura


Descrizione

Lo strumento Carpenteria è utilizzato per costruire tutti i tipi di oggetti di carpenteria sulla base di un profilo e di un tracciato. Il profilo viene estruso lungo le linee del tracciato che può essere costituita da qualsiasi oggetto 2D, ad esempio, da uno schizzo, o da un oggetto draft. È particolarmente utile per creare ringhiere o pareti di carpenteria. Gli oggetti Carpenteria possono essere poi facilmente trasformati in oggetti muri o strutture.

Arch Frame example.jpg

Oggetto Carpenteria creato da una schiera derivata da una linea, utilizzando un cerchio come profilo.


Utilizzo

  1. Creare un oggetto tracciato e un oggetto profilo, ad esempio con Draft o con Schizzo.
  2. Selezionare l'oggetto tracciato, poi, con Ctrl premuto, selezionare l'oggetto profilo.
  3. Premere il pulsante Arch Frame.svg Carpenteria, o premere i tasti F poi R.

Opzioni

  • Gli elementi Carpenteria condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Impostando la sua proprietà Offset, l'oggetto carpenteria può essere posizionato alla distanza voluta dall'oggetto tracciato.
  • Il profilo viene copiato alla base di ciascun spigolo o linea dell'oggetto tracciato, quindi estruso lungo esso. È possibile stabilire la posizione del profilo alla base di ogni linea del tracciato tramite le proprietà Align e Rotation.

Proprietà

  • DatiBase: Il tracciato su cui è basato l'oggetto carpenteria.
  • DatiProfile: Il profilo su cui è basato l'oggetto carpenteria.
  • DatiAlign: Specifica se il profilo deve essere ruotato per posizionare il suo asse normale allineato con ciascuna linea del tracciato.
  • DatiOffset: Una distanza opzionale tra l'oggetto tracciato e l'oggetto carpenteria.
  • DatiRotation: La rotazione del profilo attorno al suo asse di estrusione.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Carpenteria può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Frame = makeFrame(baseobj, profile)
  • Crea un oggetto Frame da un dato baseobj e un profile.
    • baseobj è qualsiasi oggetto che contenga dei contorni, come una Polilinea o una Schiera.
    • profile è un oggetto 2D estrudibile contenente facce o contorni chiusi.

Esempio:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Nest.svg Nido Pagina precedente:
Pagina successiva: Recinzione Arch Fence.svg Arrow-right.svg